Last modified: 2012-06-29 12:42:47 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35531 - Send notifications for all changes (new patch/review/abandon/merge) in mediawiki/* to mediawiki-commits list
Send notifications for all changes (new patch/review/abandon/merge) in mediaw...
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 36168
Blocks: 22596
  Show dependency treegraph
 
Reported: 2012-03-27 19:36 UTC by Nemo
Modified: 2012-06-29 12:42 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nemo 2012-03-27 19:36:15 UTC

    
Comment 1 Niklas Laxström 2012-03-28 20:11:06 UTC
I would like to see all submissions. Should be coupled with bug 35532 (include diffs) to make it useful and match my SVN review process.
Comment 2 Krinkle 2012-05-07 00:09:33 UTC
Is this a request to have the mailinglist monitor the mediawiki/core.git repository (master branch probably, or all maybe branches), or the gerrit changesets queue for mediawiki/core.git.

Difference being timing (submission vs. merge) and whether rejected commits will be in the feed.

If used for review, the latter makes more sense.
If for monitoring what is new in MediaWiki, than the former may be more appropriate.

Alternatively, using RSS may be an option as well. I thought there was an RSS plugin for Gerrit that allows one to subscribe to any query through RSS. A few useful queryies:
* #q,project:mediawiki/core // all changesets
* #q,project:mediawiki/core is:open
* #q,status:merged project:mediawiki/core // like the old mediawiki-CVS list, committed changes
* #q,reviewer:Krinkle 
* #q,reviewer:Krinkle is:open // personal dashboard
Comment 3 Chad H. 2012-05-07 00:28:19 UTC
(In reply to comment #2)
> Is this a request to have the mailinglist monitor the mediawiki/core.git
> repository (master branch probably, or all maybe branches), or the gerrit
> changesets queue for mediawiki/core.git.
> 
> Difference being timing (submission vs. merge) and whether rejected commits
> will be in the feed.
> 
> If used for review, the latter makes more sense.
> If for monitoring what is new in MediaWiki, than the former may be more
> appropriate.
> 
> Alternatively, using RSS may be an option as well. I thought there was an RSS
> plugin for Gerrit that allows one to subscribe to any query through RSS. A few
> useful queryies:
> * #q,project:mediawiki/core // all changesets
> * #q,project:mediawiki/core is:open
> * #q,status:merged project:mediawiki/core // like the old mediawiki-CVS list,
> committed changes
> * #q,reviewer:Krinkle 
> * #q,reviewer:Krinkle is:open // personal dashboard

The idea is to have a spamlist like we do with MediaWiki-cvs...all e-mails to projects viewable by anonymous users should be sent to this address. See upstream issue 1311 <http://code.google.com/p/gerrit/issues/detail?id=1311>
Comment 4 Chad H. 2012-05-07 00:33:08 UTC
Broadening summary.
Comment 5 Chad H. 2012-06-08 16:36:16 UTC
Created a new user called CommitWatcher. He has the ability to watch everything that's not private (including ops, analytics, etc).

Just need to get him subscribed to the list (although we should probably just make a new list--good chance to rename it now).
Comment 6 Chad H. 2012-06-29 12:24:57 UTC
mediawiki-commits (list was renamed) is now watching all projects for new patches and submissions.

I didn't have it watch new comments, because mediawiki-cvs didn't ever watch code review comments. If a patch interests you, star it or comment yourself to receive those followups.

There is no way to watch abandon--simply not possible from Gerrit right now. Can file that upstream, if we'd like.

Can we mark this FIXED?
Comment 7 Krinkle 2012-06-29 12:35:48 UTC
all public repositories? I thought mediawiki-commits ( project:mediawiki/* ).
Comment 8 Chad H. 2012-06-29 12:38:29 UTC
(In reply to comment #7)
> all public repositories? I thought mediawiki-commits ( project:mediawiki/* ).

mediawiki-commits (née mediawiki-cvs) watched the entire repo, not just mediawiki stuff. It would follow that this process would continue.
Comment 9 Krinkle 2012-06-29 12:42:47 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > all public repositories? I thought mediawiki-commits ( project:mediawiki/* ).
> 
> mediawiki-commits (née mediawiki-cvs) watched the entire repo, not just
> mediawiki stuff. It would follow that this process would continue.

It was worth a try ;-)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links